if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Preisgruppe'  )
   then ALTER TABLE $TableName ADD COLUMN Preisgruppe SHORTSTRING(5) DEFAULT '' DESCRIPTION 'Preisgruppe';
end if;

if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Auswahl1'  )
   then ALTER TABLE $TableName ADD COLUMN Auswahl1 BOOLEAN DEFAULT FALSE DESCRIPTION 'Auswahl 1';
end if;

if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Auswahl2'  )
   then ALTER TABLE $TableName ADD COLUMN Auswahl2 BOOLEAN DEFAULT FALSE DESCRIPTION 'Auswahl 2';
end if;

if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Auswahl3'  )
   then ALTER TABLE $TableName ADD COLUMN Auswahl3 BOOLEAN DEFAULT FALSE DESCRIPTION 'Auswahl 3';
end if;

if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Auswahl4'  )
   then ALTER TABLE $TableName ADD COLUMN Auswahl4 BOOLEAN DEFAULT FALSE DESCRIPTION 'Auswahl 4';
end if;

if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Auswahl5'  )
   then ALTER TABLE $TableName ADD COLUMN Auswahl5 BOOLEAN DEFAULT FALSE DESCRIPTION 'Auswahl 5';
end if;

if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Auswahl6'  )
   then ALTER TABLE $TableName ADD COLUMN Auswahl6 BOOLEAN DEFAULT FALSE DESCRIPTION 'Auswahl 6';
end if;

if not exists( select * from #fields where table_name = '$TableName' and Field_Name='Sprache'  )
   then ALTER TABLE $TableName ADD COLUMN Sprache SHORTSTRING(50) DEFAULT '' DESCRIPTION 'Sprache';
end if
